#J2Cache configuration
#########################################
# Cache Broadcast Method
# values:
# jgroups -> use jgroups's multicast
# redis -> use redis publish/subscribe mechanism
# none -> don't notify the other nodes in cluster
# xx.xxxx.xxxx.Xxxxx your own cache broadcast policy classname that implement net.oschina.j2cache.ClusterPolicy
#########################################
j2cache.broadcast=redis
#�鲥��ͨ������
jgroups.channel.name=j2cache
jgroups.configXml=/network.xml
#########################################
# Level 1&2 provider
# values:
# none -> disable this level cache
# ehcache -> use ehcache2 as level 1 cache
# ehcache3 -> use ehcache3 as level 1 cache
# caffeine -> use caffeine as level 1 cache(only in memory)
# redis -> use redis(hashs) as level 2 cache
# readonly-redis -> use redis as level 2 cache ,but never write data to it. if use this provider, you must uncomment `j2cache.L2.config_section` to make the redis configurations available.
# [classname] -> use custom provider
#########################################
j2cache.L1.provider_class=caffeine
j2cache.L2.provider_class=redis
# When L2 provider isn't `redis`, using `L2.config_section = redis` to read redis configurations
# j2cache.L2.config_section = redis
# Enable/Disable ttl in redis cache data (if disabled, the object in redis will never expire)
j2cache.sync_ttl_to_redis=true
# Whether to cache null objects by default
j2cache.default_cache_null_object=true
#########################################
# Cache Serialization Provider
# values:
# fst -> fast-serialization
# kyro -> kyro
# java -> java standard
# [classname implements Serializer]
#########################################
j2cache.serialization=fst
#########################################
# Ehcache configuration
#########################################
ehcache.configXml=/ehcache.xml
#########################################
# Caffeine configuration
# caffeine.region.[name] = size, xxxx[s|m|h|d]
#
#########################################
caffeine.properties=/caffeine.properties
#########################################
# Redis connection configuration
#########################################
#########################################
# Redis Cluster Mode
#
# single -> single redis server
# sentinel -> master-slaves servers
# cluster -> cluster servers (���ݿ�������Ч��ʹ�� database = 0��
# sharded -> sharded servers  (���롢���ݿ������ hosts ��ָ���������ӳ�������Ч ; redis://user:password@127.0.0.1:6379/0��
#
#########################################
redis.mode=single
#redis storage mode (generic|hash)
redis.storage=generic
## redis pub/sub channel name
redis.channel=j2cache
## redis pub/sub server (using redis.hosts when empty)
redis.channel.host=
#cluster name just for sharded
redis.cluster_name=j2cache
## redis cache namespace optional, default[j2cache]
redis.namespace=
## connection ��Ⱥ�������hosts��Ӣ�Ķ��Ÿ������� 127.0.0.1:6379,127.0.0.1:6378
redis.hosts=120.25.146.52:6379
redis.timeout=2000
## ��Ⱥÿ���ڵ�������뱣��һ��
redis.password=
redis.database=0
## redis pool properties
redis.maxTotal=100
redis.maxIdle=10
redis.maxWaitMillis=5000
redis.minEvictableIdleTimeMillis=60000
redis.minIdle=1
redis.numTestsPerEvictionRun=10
redis.lifo=false
redis.softMinEvictableIdleTimeMillis=10
redis.testOnBorrow=true
redis.testOnReturn=false
redis.testWhileIdle=true
redis.timeBetweenEvictionRunsMillis=300000
redis.blockWhenExhausted=false
redis.jmxEnabled=false